"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const rollbackIncrementalImport = async ({
  executeStatement,
  databaseName,
  eventsTableName,
  escapeId
}) => {
  try {
    const databaseNameAsId = escapeId(databaseName);
    const incrementalImportTableAsId = escapeId(`${eventsTableName}-incremental-import`);
    await executeStatement(`DROP TABLE ${databaseNameAsId}.${incrementalImportTableAsId};`);
  } catch (error) {
    if (error != null && /Table.*? does not exist$/i.test(error.message)) {
      throw new Error(`Previous incremental import does not exist`);
    } else {
      throw error;
    }
  }
};

var _default = rollbackIncrementalImport;
exports.default = _default;
//# sourceMappingURL=rollback-incremental-import.js.map